Compatibilidad de productos de SAP-Automate - Automate_Evolve - Automate_Studio - Latest

Matrices de compatibilidad de productos Automate

Product type
Software
Portfolio
Integrate
Product family
Product
Automate > Automate Evolve
Automate > Automate Studio
Automate > Automate Studio Manager
Version
Latest
Language
Español (España)
Product name
Automate
Title
Matrices de compatibilidad de productos Automate
Copyright
2024
First publish date
2022
ft:lastEdition
2024-05-23
ft:lastPublication
2024-05-23T16:45:47.790714

Precisely realiza un seguimiento de las versiones de SAP Graphical User Interface (GUI) y SAP S/4HANA de conformidad con los planes de desarrollo de SAP disponibles públicamente.

El departamento de ingeniería de Precisely realiza pruebas de interoperabilidad con nuestras últimas versiones de productos tan pronto como SAP lanza sus productos. Como SAP no pone a disposición de Precisely sus últimas versiones antes de la fecha de lanzamiento, Precisely no empieza a realizar pruebas rigurosas hasta que el producto nuevo de SAP no sale al mercado.

Precisely considera que las pruebas de interoperabilidad con SAP son una actividad de alta prioridad y de mantenimiento continuo, que se llevan a cabo en paralelo a los lanzamientos de las nuevas versiones de los productos. Esto es análogo a la forma en que consideramos que las revisiones de productos de Precisely son una actividad de mantenimiento que se realiza en paralelo a los lanzamientos de nuevas versiones de productos.

Precisely no realiza normalmente pruebas de interoperabilidad con las revisiones de SAP y se reserva el derecho de determinar, caso por caso, cuándo los parches o las revisiones de SAP justifican las pruebas de interoperabilidad para poder considerarlos admitidos por Precisely.

Política de compatibilidad con las versiones de SAP S/4HANA

Cuando SAP lanza una versión nueva de S/4HANA (la versión local, no el producto en la nube), Precisely comprueba la compatibilidad de dicha versión de S/4HANA solo con la última versión del módulo de funciones de Automate (AFM) y Studio en el momento del lanzamiento de SAP. Se busca obtener la certificación de SAP para el módulo de funciones de Automate y el producto Studio porque la certificación incluye el uso de Studio con Connect, Studio con Evolve o Studio con Studio Manager. Puesto que no se van a desarrollar nuevas versiones de Foundation y User Governance, estos productos no dispondrán de ninguna versión que se pueda utilizar con las versiones más recientes de SAP S/4HANA o SAP GUI. Precisely nunca certifica los service packs y las revisiones para SAP S/4HANA y los clientes no han experimentado problemas de compatibilidad con nuestros productos ni con estas versiones de SAP.

Por regla general, Precisely lanza una versión secundaria del producto o una revisión (para el módulo de funciones de Automate, y ocasionalmente para Studio, Evolve o Studio Manager) para ofrecer compatibilidad nuevas versiones de SAP S/4HANA. El plazo previsto para la publicación de la carta de certificación de SAP para una versión de Studio en relación con una versión beta del software o con pruebas de laboratorio, o como software de disponibilidad general (GA, por sus siglas en inglés) depende de la magnitud de los cambios en la versión nueva del producto de SAP. El plazo variará según la tabla 1 que consta más abajo.

Tabla 1 - Plazos para la certificación de SAP

Hito para la versión SAP S/4HANA Versión secundaria de SAP* Versión principal de SAP*

Versión beta de Automate

  • Disponibilidad más temprana del software del módulo de funciones de Automate (AFM) y cualquier revisión de la última versión del software del producto para las pruebas de laboratorio de un cliente de Precisely.
  • Precisely inicia el proceso de certificación oficial de SAP de forma paralela.
5 semanas después de la fecha de lanzamiento de SAP 15 semanas después de la fecha de lanzamiento de SAP
Código del nivel de producción 9 semanas después de la fecha de lanzamiento de SAP 22 semanas después de la fecha de lanzamiento de SAP
Certificación de SAP para Studio y AFM 11 semanas después de la fecha de lanzamiento de SAP 24 semanas después de la fecha de lanzamiento de SAP

* La clasificación de una versión de SAP como principal o secundaria para los productos Automate es una decisión discrecional de Precisely.

Tabla 2 - Ejemplo: Periodo de tiempo para la certificación de SAP, con una fecha de lanzamiento de SAP S/4HANA del 25 de octubre de 2018

Hito para la versión SAP S/4HANA Versión secundaria de SAP* Versión principal de SAP*

Versión beta de Automate

  • Disponibilidad más temprana del software del módulo de funciones de Automate (AFM) y cualquier revisión de la última versión del software del producto para las pruebas de laboratorio de un cliente de Precisely.
  • Precisely inicia el proceso de certificación oficial de SAP de forma paralela.
5 semanas después de la fecha de lanzamiento de SAP = 29 de noviembre de 2018 15 semanas después de la fecha de lanzamiento de SAP = 7 de febrero de 2019
Código del nivel de producción 9 semanas después de la fecha de lanzamiento de SAP = 27 de diciembre de 2018 22 semanas después de la fecha de lanzamiento de SAP = 28 de marzo de 2019
Certificación de SAM para Studio y AFM 11 semanas después de la fecha de lanzamiento de SAP = 10 de enero de 2019 24 semanas después de la fecha de lanzamiento de SAP = 11 de abril de 2019

* La clasificación de una versión de SAP como principal o secundaria para los productos Automate es una decisión discrecional de Precisely.

Precisely​​​​​​​ no certifica ni proporciona soporte al cliente para una versión nueva de SAP S/4HANA con las versiones anteriores admitidas de Foundation, Evolve, Studio o AFM. Además, se espera que los clientes que utilicen una versión certificada posterior de AFM con la versión nueva de SAP S/4HANA planifiquen la actualización de sus productos Studio con Connect, Studio con Studio Manager y Evolve para que tengan la misma versión o una versión posterior de AFM implementada con el fin de asegurarse de que dispongan de una configuración compatible estándar. Los clientes que utilicen una versión con soporte total de Foundation o User Governance deben planificar la migración a la versión correspondiente de Evolve o Studio Manager para poder disponer de un producto de Automate compatible capaz de interoperar con una versión de producto de SAP más reciente.

Como práctica recomendada, Precisely​​​​​​​recomienda a todos los clientes planificar la instalación de la versión más reciente de AFM cuando planifiquen la implementación de la nueva versión de servidor de SAP (por ejemplo, S/4HANA o ECC) para garantizar la interoperabilidad con la nueva versión de servidor de SAP. A continuación, deberán preparase para una actualización de Studio, Evolve/Studio Manager que proporcionará las funciones adicionales y mejoras de rendimiento vinculadas a AFM. Los clientes que utilicen Foundation o User Governance deberán migrar a Evolve o Studio Manager.

Los clientes que utilicen la versión 11 o posterior de User Governance o Foundation deberán migrar a Studio Manager o Evolve para obtener acceso a una versión de AFM certificada con la nueva versión de SAP S/4HANA disponible. Los clientes de Evolve solo tienen que actualizar a la versión más reciente de Evolve para que su AFM esté certificado con la versión más reciente de SAP S/4HANA. Si los clientes tienen problemas con la configuración de la versión mixta y desean utilizar el servicio de asistencia al cliente de Precisely, deben actualizar su versión de Studio a la misma versión que la de AFM. En el caso de los scripts muy complejos, es posible que los clientes tengan que actualizar sus scripts para que funcionen sin problemas con las versiones nuevas de Studio, AFM y la versión nueva de SAP S/4HANA.

Política de compatibilidad con las versiones del cliente de SAP GUI

Cuando SAP lanza una versión nueva de la interfaz gráfica de usuario (SAP GUI), Automate evalúa la versión nueva de SAP GUI en lo referente a compatibilidad solo con la última versión publicada del módulo de funciones de Automate (AFM) y de Studio. Automate no tiene por objetivo conseguir una certificación oficial para las versiones de SAP GUI, ya que Precisely lleva a cabo unas pruebas de regresión amplias y sólidas, más allá de lo que se requiere para el programa de certificación de SAP. Las pruebas de Precisely de SAP GUI con la última versión de Studio abarcan su uso con Connect, User Governance, Foundation, Studio con Evolve y Studio con Studio Manager. Los clientes pueden esperar que Precisely publique una versión secundaria del producto o una revisión para ofrecer compatibilidad con una versión nueva de SAP GUI. El plazo previsto para la disponibilidad de una versión compatible de Studio depende de los cambios realizados en la versión nueva del producto de SAP. El plazo variará según la tabla 3 que consta más abajo.

Tabla 3 – Plazos para la compatibilidad con una versión nueva de SAP GUI

Hito para la versión de SAP GUI Versión secundaria de SAP* Versión principal de SAP*

Versión beta de Automate

Disponibilidad más temprana del software AFM y cualquier revisión de la última versión del software del producto para las pruebas de laboratorio de un cliente de Precisely.

No disponible No disponible
Versión del sistema GA

6 semanas después de la fecha de lanzamiento de SAP

Ejemplo: fecha de lanzamiento de SAP del 25 de octubre de 2018 = Fecha de la versión GA de Automate del 6 de diciembre de 2018

12 semanas después de la fecha de lanzamiento de SAP

Ejemplo: fecha de lanzamiento de SAP del 25 de octubre de 2018 = Fecha de la versión GA de Automate del 17 de enero de 2019

*La clasificación de una versión de SAP como principal o secundaria para los productos Automate es una decisión discrecional de Precisely.

Precisely realiza pruebas de compatibilidad para admitir el parche más reciente (no las revisiones) disponible para la última versión de SAP GUI con un lanzamiento reciente (disponibilidad general o GA).

Ejemplo: SAP lanza el parche 5 de SAP GUI 770 en enero de 2022 y el parche 6 de SAP GUI 770 en marzo de 2022. Precisely lanza Evolve, Studio Manager y Studio 20.2 en marzo de 2022. En este caso, puesto que el parche 6 se lanzó en una fecha muy próxima a la de la versión 20.2, la versión 20.2 no incluirá soporte con el parche 6 de SAP GUI. Sin embargo, se incluirá el soporte con el parche 5 en la versión 20.2, ya que el equipo de ingeniería habrá tenido tiempo suficiente para probar y corregir los problemas relacionados con dicho parche de SAP GUI.

Si un cliente desea instalar el parche 6 de SAP GUI 770 antes de que Precisely lance otra versión del software con soporte para este parche, este deberá instalar primero el parche 6 de SAP GUI en su entorno Dev/QA para probarlo con el producto de Automate más reciente. Si encuentra algún problema, el cliente podrá ponerse en contacto con el equipo de soporte para obtener una corrección en función de la naturaleza del problema. Estas correcciones se incluirán en la próxima versión principal o de mantenimiento prevista.

Nota: Se excluyen los últimos parches de las versiones anteriores de SAP GUI.

Implementación recomendada

Se recomienda encarecidamente a los clientes que sigan la práctica recomendada estándar de implementación de aplicaciones consistente en utilizar un entorno SAP de cuatro sistemas para la implementación de sus productos de Automate:

  1. Espacio aislado: Obtener una impresión inicial y realizar una comprobación
  2. Desarrollo: Desarrollar scripts y/o soluciones
  3. Control de calidad/Aprobación: Llevar a cabo una verificación final
  4. Producción: Implementación en este entorno como paso final

Política de claves de REPARACIÓN

Precisely no recomienda a los clientes la utilización de claves de REPARACIÓN para AFM, ya que ello puede suponer trabajo de soporte adicional para el cliente. Si algún cliente opta por la utilización de estas claves, Precisely no ofrecerá soporte de resolución de problemas o creación de parches de versiones de AFM en las que los clientes hayan realizado cambios de REPARACIÓN. Para poder recibir soporte, se utilizará el enfoque que se indica a continuación:

  • El cliente es responsable de reproducir cualquier problema operativo con la versión de AFM sin modificar que proporcionó Precisely para poder recibir asistencia de Precisely en la solución de problemas.
  • Los parches que se proporcionen para resolver cualquier problema se crearán en la versión de AFM que proporcionó Precisely. Asimismo, el cliente será responsable de confirmar que los cambios de clave de REPARACIÓN efectuados no interfieran con el parche que haya proporcionado Precisely. Precisely no resolverá problemas de versiones de AFM que tengan cambios de REPARACIÓN aplicados.
  • Precisely solo ofrecerá actualizaciones entre las versiones de AFM que proporcione Precisely. El cliente será responsable de confirmar los cambios de REPARACIÓN realizados entre las versiones de AFM que proporcione Precisely.